Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Foutmeldingen bij Gramps  (gelezen 616 keer)

Offline monica12

  • Lid
Foutmeldingen bij Gramps
« Gepost op: 2020/06/08, 20:55:07 »
Ik heb Gramps proberen te installeren maar krijg aan het eind twee foutmeldingen.
Hij geeft eerst aan dat GExiv2 niet geladen is en daarna dat OsmGpsMap niet geladen is.
Wie weet wat ik moet doen om dit op te lossen. Ik ben een echte newby dus als je de oplossing weet vertel het me dan liefst in Jip en Janneke-taal
Ik heb nu trouwens Mint in gebruik


Offline spievensterke

  • Lid
  • Steunpunt: Nee
Re: Foutmeldingen bij Gramps
« Reactie #1 Gepost op: 2020/06/08, 21:21:03 »
@ monica12,

Is Synaptic Pakketbeheer geïnstalleerd ?  Zo niet, dan moet je het alvast installeren. (in LinuxMint/  in Ubuntu/ of ...)

Ga daarvoor als volgt tewerk:

- Open de terminal en tik volgende commando in:

sudo apt-get update   <Enter>

daarna tik je volgend commando in:

sudo apt-get install synaptic  <Enter>
Met bovenstaand ingetypt commando - gevolgd door <Enter> wordt Synaptic Pakketbeheer geïnstalleerd.

Sluit nu de terminal door het ingeven/intikken /typen van:  exit    <Enter>  -- het terminalvenster wordt nu gesloten.
(Dit is de correcte manier om de terminal af te sluiten)

- Open Synaptic Pakketbeheer en zoek naar:  GExiv2  en markeer het om te installeren;

- Zoek dan naar:  OsmGpsMap  en markeer om te installeren;

Klik dan op toepassen.  Nu zullen de ontbrekende pakketten worden geïnstalleerd.
Sluit de Synaptic Pakketbeheerder af.
Dat is het.

Je kan dan eventueel het systeem heropstarten ofwel, Gramps direct openen.

Bericht hier hoe het gegaan is.
Succes.
Groet,
spievensterke.
« Laatst bewerkt op: 2020/06/08, 21:38:26 door spievensterke »
Maté - Rolling Release 64bit.

Offline monica12

  • Lid
Re: Foutmeldingen bij Gramps
« Reactie #2 Gepost op: 2020/06/08, 22:32:49 »
Het begin is gelukt,
Maar nu zit ik bij Synaptic pakketbeheer en zie als ik zoek naar Gexiv2 dat er 5 mogelijkheden oppoppen. Daarvan is alleen libgexiv2-2. geinstalleerd en de de andere 4 niet Moet ik die dan ook installeren of hoe weet ik welke ik moet installeren?  Het zijn gir1.2-gexiv2.010, libexiv2-dbg, libgexiv2-dev, libexiv2-doc, libexiv2-dbg

Offline spievensterke

  • Lid
  • Steunpunt: Nee
Re: Foutmeldingen bij Gramps
« Reactie #3 Gepost op: 2020/06/08, 23:41:20 »
De snelste manier om Gramps correct te installeren in LinuwMint is:

Met de terminal....

Daarvoor ga je als volgt tewerk:

- open de terminal (console);

- tik volgende commando in
sudo apt-get update
<Enter>

- tik nu volgend commando in:
sudo apt-get install gramps <Enter>

Daarna zie je het volgende verschijnen in de terminal (op dat zwarte schermpje):
test@test-Satellite-L500:~$ sudo apt-get install gramps
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  libboost-context1.65.1 linux-headers-5.0.0-37 linux-headers-5.0.0-37-generic
  linux-headers-5.3.0-26 linux-headers-5.3.0-26-generic linux-headers-5.3.0-28
  linux-headers-5.3.0-28-generic linux-headers-5.3.0-40
  linux-headers-5.3.0-40-generic linux-headers-5.3.0-42
  linux-headers-5.3.0-42-generic linux-image-5.0.0-37-generic
  linux-image-5.3.0-26-generic linux-image-5.3.0-28-generic
  linux-image-5.3.0-40-generic linux-image-5.3.0-42-generic
  linux-modules-5.0.0-37-generic linux-modules-5.3.0-26-generic
  linux-modules-5.3.0-28-generic linux-modules-5.3.0-40-generic
  linux-modules-5.3.0-42-generic linux-modules-extra-5.0.0-37-generic
  linux-modules-extra-5.3.0-26-generic linux-modules-extra-5.3.0-28-generic
  linux-modules-extra-5.3.0-40-generic linux-modules-extra-5.3.0-42-generic
Gebruik 'sudo apt autoremove' om ze te verwijderen.
Voorgestelde pakketten:
  gir1.2-goocanvas-2.0 gir1.2-gtkspell3-3.0 rcs
Aanbevolen pakketten:
  graphviz
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  gramps
0 opgewaardeerd, 1 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd.
Er moeten 6.397 kB aan archieven opgehaald worden.
Na deze bewerking zal er 39,0 MB extra schijfruimte gebruikt worden.
Ophalen:1 http://archive.ubuntu.com/ubuntu bionic/universe amd64 gramps all 4.2.8~dfsg-1 [6.397 kB]
6.397 kB opgehaald in 23s (274 kB/s)                                           
Voorheen niet geselecteerd pakket gramps wordt geselecteerd.
(Database wordt ingelezen ... 579266 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../gramps_4.2.8~dfsg-1_all.deb wordt voorbereid...
Bezig met uitpakken van gramps (4.2.8~dfsg-1) ...
Instellen van gramps (4.2.8~dfsg-1) ...
Bezig met afhandelen van triggers voor shared-mime-info (1.9-2) ...
Bezig met afhandelen van triggers voor gnome-menus (3.13.3-11ubuntu1.1) ...
Bezig met afhandelen van triggers voor mime-support (3.60ubuntu1) ...
Bezig met afhandelen van triggers voor desktop-file-utils (0.23+linuxmint8) ...
Bezig met afhandelen van triggers voor gnome-icon-theme (3.12.0-3) ...
Bezig met afhandelen van triggers voor man-db (2.8.3-2ubuntu0.1) ...
test@test-Satellite-L500:~$ 

Dan geef je het volgende commando in:

gramps

*** NU opent Gramps (Gramps start op  --- even wat geduld hebben) en er verschijnen geen opmerkingen over ontbrekende afhankelijkheden.

Sluit NU de terminal door het ingeven van:

exit   <Enter>

NU kan je Gramps gebruiken    -----Let wel: bovenstaande commando's zijn in LinuxMint uit te voeren!  Voor Ubuntu verloopt dit gelijkaardig.

Succes.
Groet,
spievensterke.
« Laatst bewerkt op: 2020/06/09, 10:55:42 door spievensterke »
Maté - Rolling Release 64bit.

Offline monica12

  • Lid
Re: Foutmeldingen bij Gramps
« Reactie #4 Gepost op: 2020/06/09, 11:02:48 »
Gramps lijkt te werken maar ...

Als ik een bestand (gedcom) wil binnenhalen in het programma krijg ik de volgende melding:
Dus ik neem aan dat er nog steeds iets niet goed is

262741: ERROR: grampsapp.py: line 145: Unhandled exception
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/gramps/gui/viewmanager.py", line 1087, in import_data
    self.db_loader.import_file()
  File "/usr/lib/python3/dist-packages/gramps/gui/dbloader.py", line 175, in import_file
    if self.check_errors(filename):
  File "/usr/lib/python3/dist-packages/gramps/gui/dbloader.py", line 236, in check_errors
    f = file(filename,'w')
NameError: name 'file' is not defined

Offline spievensterke

  • Lid
  • Steunpunt: Nee
Re: Foutmeldingen bij Gramps
« Reactie #5 Gepost op: 2020/06/09, 13:41:02 »
Als je van plan bent om LinuxMint te gebruiken, wendt je dan tot hun forum.
Er is daar een oplossing aangeboden/voorop gesteld.

Bij deze...

Groet,
spievensterke.
Maté - Rolling Release 64bit.

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Foutmeldingen bij Gramps
« Reactie #6 Gepost op: 2020/06/09, 14:29:52 »
Als je van plan bent om LinuxMint te gebruiken, wendt je dan tot hun forum.
Zo werkt het hier niet, maar inderdaad: dit probleem doet zich voor op Mint. De vraag hoort dus onder "Andere distributies", en de moderatoren zullen dit draadje wel verplaatsen.